Kerbal Space Program - Bug #24521

IVA Mode Not Respecting Control Point with SAS
12/19/2019 06:49 AM - MistyShadows

Status: Confirmed Start date: 12/19/2019
Severity: Low % Done: 10%
Assignee:

Category: Gameplay

Target version:

Version: 1.8.1 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

When enabling SAS to hold anything other that stable, entering IVA mode causes that command pod's orientation to be used for
SAS, causing the vessel to flip around if that pod is oriented any other way than the control point.

Video showing this: https://www.youtube.com/watch?v=Ee2_ejuDPb4
Note: This video uses mods but | have confirmed this bug on a separate PC with a clean installation of KSP.

Workaround: Don't use IVA mode.

History

#1-12/19/2019 11:37 AM - Anth12

- File SASIVABUG.craft added

- File IVA SAS Bug Quicksave.sfs added
- File screenshot56.png added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Ohhhhhh, that took me way too long to figure out the two landercans were facing away from each other.
The issue is the following as | understand it.

Steps:

1. Load the quick save

2. Set SAS to prograde

3. Click on View for Kilmore at the bottom right of the screen whose in the landercan that is facing in the retrograde direction and the ship will turn
around.

4. Pressing C that gets out of IVA will have the craft flip back to the correct control point

4a. Pressing M when in IVA will do the same thing

Confirmed.

#2 - 12/28/2019 09:45 AM - Anonymous
- File options.png added

There is an option, to keep the control point fixed when we switch to IVA view, IVA_RETAIN_CONTROL_POINT = True
(but | think the default is to have the control switch follow the IVA view, maybe so that the interior-view navballs are oriented as you would expect if
controlling from that seat.)

#3 - 01/07/2020 10:18 PM - Anth12

'Retain Control Point on Enter IVA'
fixes the issue. not a bug maybe

Files
SASIVABUG.craft 19.8 KB 12/19/2019 Anth12
IVA SAS Bug Quicksave.sfs 59.8 KB 12/19/2019 Anth12
screenshot56.png 953 KB 12/19/2019 Anth12
options.png 59.8 KB 12/28/2019 Anonymous
